#!/bin/sh
Action=$1
OSD="CCcam_2.2.1"

cam_clean () {
	rm -rf /tmp/camd.socket /tmp/pid.info /tmp/ecm.info /tmp/cardinfo
}

cam_up () {
	cam_clean
	/usr/bin/cam/CCcam.mips &
}

cam_down() {
	touch /tmp/CCcam.kill
	sleep 4
	killall -9  CCcam.mips
	sleep 2
	cam_clean
}

if test "$Action" = "cam_up" ; then
	cam_up
elif test "$Action" = "cam_down" ; then
	cam_down
elif test "$Action" = "cam_res" ; then	
	cam_down
	cam_up
fi
exit 0

